Bug 11615 - have_file_open_below() fails to enumerate files open under a directory correctly.
have_file_open_below() fails to enumerate files open under a directory correc...
Status: RESOLVED FIXED
Product: Samba 4.1 and newer
Classification: Unclassified
Component: File services
unspecified
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-23 21:54 UTC by Jeremy Allison
Modified: 2016-02-09 10:14 UTC (History)
3 users (show)

See Also:


Attachments
git-am fix for 4.3.next, 4.2.next. (2.71 KB, patch)
2015-11-24 20:40 UTC, Jeremy Allison
jra: review? (slow)
obnox: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jeremy Allison 2015-11-23 21:54:09 UTC
The code invoked by source3/smbd/dir.c:have_file_open_below() fails to enumerate open files below a directory correctly. Fix to follow.
Comment 1 Jeremy Allison 2015-11-24 20:40:04 UTC
Created attachment 11615 [details]
git-am fix for 4.3.next, 4.2.next.

Cherry-picked from master.
Comment 2 Michael Adam 2015-11-24 20:47:42 UTC
Comment on attachment 11615 [details]
git-am fix for 4.3.next, 4.2.next.

LGTM
Comment 3 Jeremy Allison 2015-11-24 21:02:19 UTC
Re-assigning to Karolin for inclusion in 4.3.next, 4.2.next.
Comment 4 Karolin Seeger 2015-11-25 08:53:46 UTC
(In reply to Jeremy Allison from comment #3)
Pushed to autobuild-v4-[3|2]-test.
Comment 5 Karolin Seeger 2015-11-26 10:02:45 UTC
(In reply to Karolin Seeger from comment #4)
Pushed to both branches.
Closing out bug report.

Thanks!